import assert from 'assert';
import NumberKFormatter from '../src/NumberKFormatter.js';

describe('NumberKFormatter.js', () => {

  describe('format(number)', () => {

    it('should return the number as a string when it is less than 1000', () => {
      const result = NumberKFormatter.format(500);
      assert.strictEqual(result, '500');
    });

    it('should format the number with "K" when it is between 1000 and 999999', () => {
      const result = NumberKFormatter.format(1_500);
      assert.strictEqual(result, '1.5K');
    });

    it('should format the number with "KK" when it is 1000000 or greater', () => {
      const result = NumberKFormatter.format(2_000_000);
      assert.strictEqual(result, '2.0KK');
    });

    it('should handle negative numbers correctly', () => {
      const result = NumberKFormatter.format(-2_500_000);
      assert.strictEqual(result, '-2.5KK');
    });

  });

});

