import assert from 'assert';
import UserAgentExtractor from '../src/UserAgentExtractor.js';

describe('UserAgentExtractor.js', function() {

  describe('#isBot()', function() {

    it('google bot', () => {
      const userAgent = 'Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)';
      const extractor = new UserAgentExtractor(userAgent);

      assert.ok(extractor.isBot());
    });

    it('BLEX bot', () => {
      const userAgent = 'Mozilla/5.0 (compatible; BLEXBot/1.0; +http://webmeup-crawler.com/)';
      const extractor = new UserAgentExtractor(userAgent);

      assert.ok(extractor.isBot());
    });

    it('no bot', () => {
      const userAgent = 'Mozilla / 5.0(iPhone; CPU iPhone OS 15_6 like Mac OS X) AppleWebKit / 605.1.15(KHTML, like Gecko) Version / 15.6 Mobile / 15E148 Safari / 604.1';
      const extractor = new UserAgentExtractor(userAgent);

      assert.ok(!extractor.isBot());
    });

  });

});
